/*
 * @Author: fuyu
 * @Date: 2021-03-22 19:10:00
 * @LastEditors: fuyu
 * @LastEditTime: 2021-03-23 10:22:06
 * @FilePath: /202103/code/test/tmp/RemoteWater.js
 */

const Sequelize = require('sequelize');
import sequelize from './db/sequelize';
/**
* 患者信息
*/
// primaryKey: true
// defaultValue: null
const RemoteWater = sequelize.define('remote_water', {
  id: {type: Sequelize.STRING(32), allowNull: false, primaryKey: true}, // id,
  hospital_id: {type: Sequelize.STRING(32), allowNull: true, defaultValue: null}, // hospital_id, 医院名
  order_id: {type: Sequelize.STRING(32), allowNull: true, defaultValue: null}, // order_id, 订单id
  money: {type: Sequelize.INTEGER(11), allowNull: false, defaultValue: 0}, // money, 金额
  type: {type: Sequelize.INTEGER(11), allowNull: true, defaultValue: 0}, // type, 流水类型 加 减
  why: {type: Sequelize.INTEGER(11), allowNull: false, defaultValue: 0}, // why, why 患者支付/远程诊断收入/远程诊断付款/远程诊断退款/提现
  remark: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // remark, 备注
  timestamp: {type: Sequelize.INTEGER(11), allowNull: false, defaultValue: 0}, // timestamp 时间戳
}, {
  freezeTableName: true,
  charset: 'utf8',
  indexes:[
    {fields : ['order_id']}
  ],
});
RemoteWater.sync({ force: false }).then(function() {});
export default RemoteWater;